# Underhaul Modpack
---
A vanilla style modpack that primarily adds patches and quality of life mods alongside a few map mods, some gamemodes, and 1 vanilla-style card mod (10 cards).

All mods are from members of the dedicated modding community. I just tweaked some settings and made a pack to play with IRL friends alongside adding mods of my own.

Check out my [Card Mod](https://rounds.thunderstore.io/package/Ssencipe/Overhaul_Cards/) and my [Map Mod](https://rounds.thunderstore.io/package/Ssencipe/Overhaul_Maps/).

I also have a [more bulky modpack](https://rounds.thunderstore.io/package/Ssencipe/Overhaul_ModPack/).

# Note, with each update things like personal configs may change from your preference. I may also remove mods, which will stay in your mod list unless you manually remove them or make a fresh profile.

---
# FAQ:

## Why is the screen centered on the player/why is there a flashlight?

That is the LocalZoom mod. It should be off by default (tell me if otherwise). It is used for some game modes like Hide and Seek, but should otherwise be off. The GIF below shows how to disable it (Mods -> LocalZoom -> Everything Off).

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698179341791282/LocalZoom.gif" alt="LocalZoom GIF" width="500"/>

## How do I make the game less laggy?

The PerformanceImprovements mod can be used to improve game performance. The GIF belows shows how to access it and some recommended settings. The mod menu also has a Help tab with more information. You can also use ReducePostFX to reduce screen shake effects. HIGHLY RECOMMENDED, ESPECIALLY FOR SOME MAPS!

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698179035611316/PerformanceJmprovements.gif" alt="Performance GIF" width="500"/>

## How can I toggle cards on/off? 

Go to Mods -> Toggle Cards. There you can click on individual cards to disable them (black) or disable entire card packs.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698178628751401/ToggleCards.gif" alt="Cards GIF" width="500"/>

## How can I toggle levels on/off?

Go to Mods -> Toggle Levels. You will want to draw map icon in the bottom right to see which maps you are toggling.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698178305798144/ToggleLevels.gif" alt="Levels GIF" width="500"/>

## How can I change my keybinds?

The RebindControls mod allows you to change keybinds and see various keybinds from mods. This is especially relevant for certain game modes such as Trouble in Rounds TOwn. THe GIF below shows you how to access it.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698177978646550/RebindControls.gif" alt="Controls GIF" width="500"/>

## How can I change the number of cards picked each pick phase?

The PickNCards mod lets you change how many cards you pick and how many are available to pick from. The GIF below shows you how to find the settings.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698177630507090/PickNCards.gif" alt="Card Picks GIF" width="500"/>

## How can I change how often cards of certain rarities or from certain modpacks appear in pick phase?

The DeckCustomization Mod allows someone to tweak card rates for certain decks and rarities. The GIF below shows you how to access it.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698177307553812/DeckCustomization.gif" alt="Card Rates GIF" width="500"/>

## How can I make certain cards a different rarity?

The RarityToggle Mod allows people to change what rarity individual cards are. The GIF below shows you how to find its settings.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1048698176917487707/ToggleRarity.gif" alt="Card Rarity GIF" width="500"/>

## How do I change the amount of points per match/round?

The SetRounds Mod lets you change how many points you need to win a round and how many points you need to win the match before you can quit/continue.

(Sorry no GIF for this one.)

## Why is there a large card in the center of the screen when I hover over card picks?

That is the CardMagnifier mod. It is enabled so that cards with small text can be easily read. It can be tweaked or disabled in its mod settings.

(Sorry no GIF for this one.)

## Can I stop players from going AFK in pick phase?

PickTimer is a mod in this pack, but it is disabled by default. It can be enabled in mod settings if desired to create a timer that automatically picks a card if you do not pick before the time runs out.

(Sorry no GIF for this one.)

---
# Preferred Settings:

Below I have listed the settings I use for the modpack. This is here so that you know what the intended settings are and can use them in the event they are not the same in your game and you want to try my settings.

## Card Pick Changes:

- 2 cards picked per pick phase

- 8 cards to choose from per pick

The goal of these changes is to both make equalizing one-sided games faster and to reduce the potency of RNG by making deckbuilding more consistent.

## Set Rounds Changes:

- 3 points per round

These changes are made so that games are longer and people play with their kits longer before adding to them; especially with the increased kit growth rate by having 2 card picks.

---
## Bug Reports and Suggestions:
If you have found any issues or have any suggestions, please report them in the [ROUNDS Overhaul Discord](https://discord.com/channels/1038199747472797756/1042822464457154613).

I can also be reached at the [ROUNDS Modding Discord](https://discord.gg/rounds-modding).  